Get invoice
API to get invoice by invoice id
GET
/
invoices
/
{invoiceId}
Get invoice
curl --request GET \
--url https://services.leadconnectorhq.com/invoices/{invoiceId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/invoices/{invoiceId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"totalSummary": {
"subTotal": 999,
"discount": 0,
"tax": 0
},
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {},
"remindersConfiguration": {
"reminderExecutionDetailsList": {},
"reminderSettings": {
"defaultEmailTemplateId": "dhwjqi2899012990w2u",
"reminders": [
{
"enabled": true,
"emailTemplate": "default",
"smsTemplate": "default",
"emailSubject": "Reminder",
"reminderId": "9333e45f-a27d-4659-90e5-76c5ef06d094",
"reminderName": "Special Reminder",
"reminderTime": "before",
"intervalType": "daily",
"maxReminders": 3,
"reminderInvoiceCondition": "invoice_sent",
"reminderNumber": 10,
"startTime": "9:00 AM",
"endTime": "5:00 PM",
"timezone": "businessTZ"
}
]
}
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get invoice
curl --request GET \
--url https://services.leadconnectorhq.com/invoices/{invoiceId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/invoices/{invoiceId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"totalSummary": {
"subTotal": 999,
"discount": 0,
"tax": 0
},
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {},
"remindersConfiguration": {
"reminderExecutionDetailsList": {},
"reminderSettings": {
"defaultEmailTemplateId": "dhwjqi2899012990w2u",
"reminders": [
{
"enabled": true,
"emailTemplate": "default",
"smsTemplate": "default",
"emailSubject": "Reminder",
"reminderId": "9333e45f-a27d-4659-90e5-76c5ef06d094",
"reminderName": "Special Reminder",
"reminderTime": "before",
"intervalType": "daily",
"maxReminders": 3,
"reminderInvoiceCondition": "invoice_sent",
"reminderNumber": 10,
"startTime": "9:00 AM",
"endTime": "5:00 PM",
"timezone": "businessTZ"
}
]
}
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}